Package com.verisign.epp.codec.registry.v02

## Class EPPRegistryDefaultPeriodType

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryPeriodType
  - - com.verisign.epp.codec.registry.v02.EPPRegistryDefaultPeriodType

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPRegistryDefaultPeriodType
      extends EPPRegistryPeriodType

  The default period length if not defined by the client.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.verisign.epp.codec.registry.v02.EPPRegistryPeriodType

      `EPPRegistryPeriodType.Unit`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPRegistryDefaultPeriodType`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPRegistryDefaultPeriodType`.

    - ### Fields inherited from class com.verisign.epp.codec.registry.v02.EPPRegistryPeriodType

      `ATTR_UNIT, number, unit`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRegistryDefaultPeriodType()` |
    `EPPRegistryDefaultPeriodType​(int aNumber, EPPRegistryPeriodType.Unit aUnit)` | Constructs `EPPRegistryDefaultPeriodType` with a number and unit using an `int`.
    `EPPRegistryDefaultPeriodType​(java.lang.Integer aNumber, EPPRegistryPeriodType.Unit aUnit)` | Constructs `EPPRegistryDefaultPeriodType` with a number and unit using an `Integer`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `protected java.lang.String` | `getRootName()` | Gets the root element local name.

    - ### Methods inherited from class com.verisign.epp.codec.registry.v02.EPPRegistryPeriodType

      `clone, decode, encode, equals, getNumber, getUnit, setNumber, setUnit, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryDefaultPeriodType`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryDefaultPeriodType`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryDefaultPeriodType

          public EPPRegistryDefaultPeriodType()

    - #### EPPRegistryDefaultPeriodType

          public EPPRegistryDefaultPeriodType​(java.lang.Integer aNumber,
                                              EPPRegistryPeriodType.Unit aUnit)

      Constructs `EPPRegistryDefaultPeriodType` with a number and unit using an `Integer`.
      Parameters:
        `aNumber` - Default period number
        `aUnit` - Default period unit

    - #### EPPRegistryDefaultPeriodType

          public EPPRegistryDefaultPeriodType​(int aNumber,
                                              EPPRegistryPeriodType.Unit aUnit)

      Constructs `EPPRegistryDefaultPeriodType` with a number and unit using an `int`.
      Parameters:
        `aNumber` - Default period number
        `aUnit` - Default period unit

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Returns:
        XML namespace for the `EPPCodecComponent`.

    - #### getRootName

          protected java.lang.String getRootName()

      Gets the root element local name.
      Overrides:
        `getRootName` in class `EPPRegistryPeriodType`
      Returns:
        Root element local name.